[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#514222: marked as done (python-turbogears: pkg_resources.require("TurboGears") fails)

Your message dated Mon, 19 Oct 2009 16:39:20 +0000
with message-id <E1MzvGS-0001WC-Ir@ries.debian.org>
and subject line Bug#514222: fixed in turbogears 1.1-1
has caused the Debian Bug report #514222,
regarding python-turbogears: pkg_resources.require("TurboGears") fails
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

514222: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=514222
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Subject: python-turbogears: pkg_resources.require("TurboGears") fails
Package: python-turbogears
Version: 1.0.8-1
Severity: important

python-turbogears requires python-turbojson >=1.1.4 and <1.2 but the available
version is 1.2:

$ python
Python 2.5.2 (r252:60911, Jan  4 2009, 17:40:26) 
[GCC 4.3.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pkg_resources
>>> pkg_resources.require("TurboGears")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 528, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
pkg_resources.VersionConflict: (TurboJson 1.2 (/var/lib/python-support/python2.5), Requirement.parse('TurboJson>=1.1.4,<1.2'))

ii  python-pkg-resources    0.6c8-4                 Package Discovery and Resource Access using pkg_resources

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-turbogears depends on:
ii  python                2.5.2-3            An interactive high-level object-o
ii  python-cheetah        2.0.1-2            text-based template engine and Pyt
ii  python-cherrypy       2.3.0-1            Python web development framework
ii  python-configobj      4.5.2-2            a simple but powerful config file 
ii  python-decoratortools 1.7-3              version-agnostic decorators suppor
ii  python-dispatch       0.5a.svn20080510-3 Rule and type-based generic dispat
ii  python-formencode     1.0.1-1            validation and form generation Pyt
ii  python-kid            0.9.6-1            simple Pythonic template language 
ii  python-nose           0.10.5-1~bpo40+3   test discovery and running for Pyt
ii  python-paste          1.7.1-1            Tools for using a Web Server Gatew
ii  python-pastedeploy    1.3.2-1            Load, configure, and compose WSGI 
ii  python-pastescript    1.6.3-1            serving web applications, creating
ii  python-pkg-resources  0.6c8-4            Package Discovery and Resource Acc
ii  python-simplejson     1.9.2-1            Simple, fast, extensible JSON enco
ii  python-sqlalchemy     0.4.8-1            SQL toolkit and Object Relational 
ii  python-sqlobject      0.10.2-3           Python module for SQLObject
ii  python-support        0.8.7              automated rebuilding support for P
ii  python-turbojson      1.2-2              TurboGears template plugin to use 
ii  python-turbokid       1.0.4-4            TurboGears template plugin to use 

Versions of packages python-turbogears recommends:
ii  python-elixir                 0.6.0-1    Declarative Mapper for SQLAlchemy
ii  python-pysqlite2              2.5.0-2    Python interface to SQLite 3

Versions of packages python-turbogears suggests:
pn  python-genshi                 <none>     (no description available)

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: turbogears
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
turbogears, which is due to be installed in the Debian FTP archive:

  to pool/main/t/turbogears/python-turbogears_1.1-1_all.deb
  to pool/main/t/turbogears/turbogears_1.1-1.diff.gz
  to pool/main/t/turbogears/turbogears_1.1-1.dsc
  to pool/main/t/turbogears/turbogears_1.1.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 514222@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Federico Ceratto <federico.ceratto@gmail.com> (supplier of updated turbogears package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA256

Format: 1.8
Date: Mon, 19 Oct 2009 16:22:36 +0100
Source: turbogears
Binary: python-turbogears
Architecture: source all
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Federico Ceratto <federico.ceratto@gmail.com>
 python-turbogears - Python-based web framework
Closes: 514222 544635
 turbogears (1.1-1) unstable; urgency=low
   * New maintainer. (Closes: #544635)
   * New upstream release. (Closes: #514222 #515745 #527219)
   * Debian package rebuilt from scratch.
 f3567b6c8360c3551abd642cd909c9c656fa859d 2272 turbogears_1.1-1.dsc
 7cb8c560e417306f4b98587ede8d7a4e7863fe69 866487 turbogears_1.1.orig.tar.gz
 76ba7cabc7164dbdf978b54fd97f219d7625c7af 9037 turbogears_1.1-1.diff.gz
 94659a1a64cdbd0a3355138971bddb1e3d7da65e 1185766 python-turbogears_1.1-1_all.deb
 88496adb4632d62a15abcfa0d0b351bc3886ff2a40986c28c259d159516302bc 2272 turbogears_1.1-1.dsc
 cafca2db4a90b5423c8f3d908492f1d6b0858be560af6ba837e5a459012625ec 866487 turbogears_1.1.orig.tar.gz
 a28611c9fbf9b55748c785f08ff3f94d3a3702c4fffd199513d9ccec0345dd33 9037 turbogears_1.1-1.diff.gz
 754fa4f1b8f6905968223b1a9d65409fe796f45274565de6ce03d0e5f7d42e72 1185766 python-turbogears_1.1-1_all.deb
 1485dd5bcd6e8fc0592ccc400f7f8764 2272 python optional turbogears_1.1-1.dsc
 582a43a30bb409e79486bd7c1a65953f 866487 python optional turbogears_1.1.orig.tar.gz
 ae5c3276e029541babdd9529073809b1 9037 python optional turbogears_1.1-1.diff.gz
 3535144dc61c242e9ea5db6d45b280a8 1185766 python optional python-turbogears_1.1-1_all.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: